DependencyConfigurationConfigurer (Grails 2.4.4)
Date: 2014-10-28

Package: org.codehaus.groovy.grails.resolve.config

## [Groovy] Class DependencyConfigurationConfigurer

- org.codehaus.groovy.grails.resolve.config.DependencyConfigurationConfigurer

- Used to configure the default

  Authors:
    Graeme Rocher
    Luke Daley

- - Inherited fields
    Fields inherited from class | Fields
    --- | ---
    `class AbstractDependencyManagementConfigurer` | `context`

  - ### Properties Summary

    Properties
    Type | Name and description
    --- | ---
    `static java.lang.String` | `WILDCARD`
    `boolean` | `legacyResolve`
    `boolean` | `pluginMode`
    `boolean` | `repositoryMode`

  - ### Constructor Summary

    Constructors
    Constructor and description
    `DependencyConfigurationConfigurer (DependencyConfigurationContext context)`

  - ### Methods Summary

    Methods
    Type | Name and description
    --- | ---
    `void` | `cacheDir(java.lang.String dir)`
    `void` | `checksums(java.lang.String checksumConfig)`
    `void` | `checksums(boolean enable)`
    `void` | `credentials(groovy.lang.Closure c)`
    `void` | `defaultDependenciesProvided(boolean b)`
    `void` | `dependencies(groovy.lang.Closure deps)`
    `void` | `inherits(java.lang.String name, groovy.lang.Closure configurer)`
    `void` | `inherits(java.lang.String name)`
    `void` | `legacyResolve(boolean lr)`
    `void` | `log(java.lang.String level)`
    `void` | `plugins(groovy.lang.Closure callable)`
    `void` | `pom(boolean b)`
    `void` | `repositories(groovy.lang.Closure repos)` Same as #resolvers(Closure)
    `void` | `resolvers(groovy.lang.Closure resolvers)` Defines dependency resolvers
    `void` | `useOrigin(boolean b)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class AbstractDependencyManagementConfigurer` | `getContext, getDependencyManager, getGrailsCoreDependencies`
    `class groovy.lang.GroovyObjectSupport` | `groovy.lang.GroovyObjectSupport#setProperty(java.lang.String, java.lang.Object), groovy.lang.GroovyObjectSupport#getProperty(java.lang.String), groovy.lang.GroovyObjectSupport#invokeMethod(java.lang.String, java.lang.Object), groovy.lang.GroovyObjectSupport#setMetaClass(groovy.lang.MetaClass), groovy.lang.GroovyObjectSupport#getMetaClass(), groovy.lang.GroovyObjectSupport#wait(long, int), groovy.lang.GroovyObjectSupport#wait(long), groovy.lang.GroovyObjectSupport#wait(), groovy.lang.GroovyObjectSupport#equals(java.lang.Object), groovy.lang.GroovyObjectSupport#toString(), groovy.lang.GroovyObjectSupport#hashCode(), groovy.lang.GroovyObjectSupport#getClass(), groovy.lang.GroovyObjectSupport#notify(), groovy.lang.GroovyObjectSupport#notifyAll()`

- - ### Property Detail

    - #### static final java.lang.String WILDCARD

    - #### boolean legacyResolve

    - #### boolean pluginMode

    - #### boolean repositoryMode

  - ### Constructor Detail

    - #### DependencyConfigurationConfigurer(DependencyConfigurationContext context)

  - ### Method Detail

    - #### void cacheDir(java.lang.String dir)

    - #### void checksums(java.lang.String checksumConfig)

    - #### void checksums(boolean enable)

    - #### void credentials(groovy.lang.Closure c)

    - #### void defaultDependenciesProvided(boolean b)

    - #### void dependencies(groovy.lang.Closure deps)

    - #### void inherits(java.lang.String name, groovy.lang.Closure configurer)

    - #### void inherits(java.lang.String name)

    - #### void legacyResolve(boolean lr)

    - #### void log(java.lang.String level)

    - #### void plugins(groovy.lang.Closure callable)

    - #### void pom(boolean b)

    - #### void repositories(groovy.lang.Closure repos)

      Same as #resolvers(Closure)

    - #### void resolvers(groovy.lang.Closure resolvers)

      Defines dependency resolvers

    - #### void useOrigin(boolean b)